#include "Debug.h"
#include "Functions.h"

if (isDedicated) exitWith {};

private ["_group", "_markerName", "_markerType", "_markerColor", "_update"];

_group = [_this, 0, objNull] call BIS_fnc_param;
_markerName = [_this, 1, "default"] call BIS_fnc_param;
_markerType = [_this, 2, "mil_dot"] call BIS_fnc_param;
_markerColor = [_this, 3, "ColorWhite"] call BIS_fnc_param;
_update = [_this, 4, 5] call BIS_fnc_param;

DEBUG_MSG([_markerName])
createMarker[_markerName, getPos leader _group];
_markerName setMarkerShape "ICON";
_markerName setMarkerColor _markerColor;
_markerName setMarkerType _markerType;
_markerName setMarkerText _markerName;

[_markerName, _group, _update] spawn {
  private ["_markerName", "_grp", "_update"];
  _markerName = _this select 0;
  _grp = _this select 1;
  _update = _this select 2;
  while {({alive _x} count (units _grp)) > 0} do {
    _markerName setMarkerPos (getPos leader _grp);
    sleep _update;
  };
  _markerName setMarkerColor "ColorBlack";
};

