#include "Debug.h"
#include "Functions.h"
#include "Config.h"

if (!isServer) exitWith {};

private ["_trucksActive", "_delay", "_all", "_grp", "_pos", "_wp", "_i",
	"_markerName", "_pos"];

_trucksActive = true;
_delay = 120;
_i = 1;

while {_i < 21} do {
  DEBUG_MSG(["Spawning a truck"])
  _grp = createGroup east;
  _pos = RANDOMPOS(TTT_TruckPositions);
  _all = [(position _pos), 270, TRUCK, _grp] call BIS_fnc_spawnVehicle;

  _pos = TruckDest;
  _wp = _grp addWaypoint [(position _pos), 500];
  WP(_wp, "MOVE");

  _pos = RANDOMPOS(TTT_TruckPositions);
  _wp = _grp addWaypoint [(position _pos), 500];
  WP(_wp, "MOVE");

  _markerName = format ["Truck%1", _i];
  [_grp, _markerName, "b_support", "ColorOrange", 5] call TeTeT_fnc_marker;
  sleep (_delay + random(_delay));
  _i = _i + 1;
};
