#include "Settings.sqf"

if (!isDedicated) then {
  [] execVM "Briefing.sqf";

  [
    position NimitzSpawn,
    "Nimitz multiplayer test at Altis",
    500,
    200,
    0,
    1,
    []
  ] spawn BIS_fnc_establishingShot;

  waitUntil {!isnil "BIS_fnc_establishingShot_playing" && 
             {!BIS_fnc_establishingShot_playing}};

  [] execVM "Intro.sqf";
  // view distance
  setViewDistance 8000;

  // catch falling through the deck
  [] spawn {
    private ["_p"];
    _p = getPosASL player;
    if ((_p select 2) < 2) then {
      hint "Sorry, teleporting you to the flightdeck";
      sleep 2;
      player setPosASL [_p select 0, _p select 1, 17.5];
      hint "Initialization via mission script :(";
      [player, 17.5] call TTT_fnc_syncSimple;
    };
  };
};

if (isServer) then {

  [] call TeTeT_fnc_aa;
  [] call TeTeT_fnc_af;
  [] spawn TeTeT_fnc_trucks;
  [] spawn TeTeT_fnc_convoys;

  [shipboy1, shipboy2] call TeTeT_fnc_boys;
};
