#include "Debug.h"
#include "Functions.h"
#include "Config.h"

// for now spawn a single convoy and drive it across the map

if (!isServer) exitWith {};

private ["_c", "_convoys", "_i"];

_convoys = [];

_c = [];
_c set [0, getMarkerPos "c0"];
_c set [1, ["c1", "c2", "c3", "c4", "c5" ]];
_c set [2, [ JEEP, AAVEHICLE, TRUCK, TRUCK, TRUCK, TRUCK, TRUCK ]];
_convoys = _convoys + [ _c ];

_c = [];
_c set [0, getMarkerPos "c00"];
_c set [1, ["c01", "c02", "c03", "c04", "c05" ]];
_c set [2, [ JEEP, AAVEHICLE, APCW, APCW, APCW, APCW, JEEP ]];
_convoys = _convoys + [ _c ];

_c = [];
_c set [0, getMarkerPos "c10"];
_c set [1, ["c11", "c12", "c13", "c14", "c15" ]];
_c set [2, [ JEEP, SPA, SPA, SPA, SPA, AAVEHICLE ]];
_convoys = _convoys + [ _c ];

_i = 1;
{
  [str(_x)] call BIS_fnc_log;
  [_x, _i] spawn {
    private ["_i", "_c", "_start", "_markers", "_vTypes", "_grp", "_pos", "_vehicles", "_all", "_v", "_delay"];
    _c = _this select 0;
    _i = _this select 1;
    _delay = (_i * 60) + random(300);
    sleep _delay;
    _start = _c select 0;
    _markers = _c select 1;
    _vTypes = _c select 2;
    _vehicles = [];
    _pos = _start;
    {
      _grp = createGroup east;
      _all = [_pos, 0, _x, _grp] call BIS_fnc_spawnVehicle;
      _pos = CIRCLEPOS2(_pos, 0, 40);
      _v = _all select 0;
      _vehicles = _vehicles + [ _v ];
    } foreach _vTypes;

    // marker on the last vehicle
    [_grp, "Convoy " + str(_i), "b_support", "ColorOrange", 5] call TeTeT_fnc_marker;

    [_markers, _vehicles, true] spawn Norn_fnc_convoyDefend;
    // [_v, EAST, _markers, true, count _vehicles, 10, [], _vehicles, false, false] call DTM2801_fnc_convoy; 
    // [_v, EAST, _markers, true, count _vTypes, 10, _vTypes, [], false, false] call DTM2801_fnc_convoy; 
  };
  _i = _i + 1;
} foreach _convoys;
